View Issue Details

IDProjectCategoryView StatusLast Update
0004892Talermechant backendpublic2018-04-15 20:38
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0004892: evil merchant testsuite
DescriptionTo check error handling, we should have a third merchant frontend that can trigger a list of error cases to see if the wallet responds appropriately.

This includes:
1. malformed contracts
2. error responses from pay_url
3. accusing the wallet of double spending
...
TagsNo tags attached.

Relationships

child of 0004454 resolvedMarcello Stanisci fault injection for all GNU Taler APIs 

Activities

Christian Grothoff

2018-01-15 21:11

manager   ~0012790

This should actually not be a separate frontend, but be done using fault injection as well (0004454).

Marcello Stanisci

2018-03-27 16:29

manager   ~0012904

obsoleted by 0005307, that lists specific test-cases.

Issue History

Date Modified Username Field Change
2017-02-12 20:12 Florian Dold New Issue
2017-02-12 20:13 Florian Dold Summary have another merchant in merchant-frontends that triggers wallet errors => have another merchant in merchant-frontends that triggers wallet error handling
2017-02-12 20:16 Florian Dold Description Updated View Revisions
2017-02-26 03:04 Christian Grothoff Status new => confirmed
2017-02-26 03:04 Christian Grothoff Target Version => 0.6
2017-11-04 18:31 Christian Grothoff Severity minor => feature
2018-01-15 21:11 Christian Grothoff Category other => mechant backend
2018-01-15 21:11 Christian Grothoff Product Version => SVN HEAD
2018-01-15 21:11 Christian Grothoff Note Added: 0012790
2018-01-15 21:11 Christian Grothoff Relationship added child of 0004454
2018-01-15 21:11 Christian Grothoff Summary have another merchant in merchant-frontends that triggers wallet error handling => evil merchant testsuite
2018-03-27 16:29 Marcello Stanisci Note Added: 0012904
2018-03-27 16:30 Marcello Stanisci Assigned To => Marcello Stanisci
2018-03-27 16:30 Marcello Stanisci Status confirmed => closed
2018-03-27 16:30 Marcello Stanisci Resolution open => no change required
2018-04-15 20:37 Christian Grothoff Status closed => resolved
2018-04-15 20:37 Christian Grothoff Fixed in Version => 0.6
2018-04-15 20:38 Christian Grothoff Resolution no change required => fixed